Bug 739051 - Xorg server using 100% CPU
Summary: Xorg server using 100% CPU
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 12:17 UTC by Matan Ziv-Av
Modified: 2018-04-11 19:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:13:47 UTC


Attachments (Terms of Use)
strace of X process while using 100% CPU. fd 6 is /dev/tty2, fd 7 is /dev/vga-arbiter (65.13 KB, text/plain)
2011-09-16 12:17 UTC, Matan Ziv-Av
no flags Details
xorg.conf (2.86 KB, application/octet-stream)
2011-09-21 09:46 UTC, Matan Ziv-Av
no flags Details
Xorg.0.log file (19.12 KB, text/plain)
2012-01-19 23:57 UTC, John Horne
no flags Details
Output of the dmesg command (75.55 KB, text/plain)
2012-01-19 23:58 UTC, John Horne
no flags Details
xorg.conf file (111 bytes, text/plain)
2012-01-19 23:59 UTC, John Horne
no flags Details
/etc/X11/xorg.conf.d/00-nvidia.conf file (185 bytes, text/plain)
2012-01-20 00:00 UTC, John Horne
no flags Details
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf file (316 bytes, text/plain)
2012-01-20 00:01 UTC, John Horne
no flags Details
/etc/X11/xorg.conf.d/local.x11.conf file (448 bytes, text/plain)
2012-01-20 00:01 UTC, John Horne
no flags Details
/var/log/messages file (3.68 MB, text/plain)
2012-01-20 00:17 UTC, John Horne
no flags Details
Some output from 'strace' of PID 2151 (110.85 KB, text/plain)
2012-01-20 00:25 UTC, John Horne
no flags Details

Description Matan Ziv-Av 2011-09-16 12:17:56 UTC
Created attachment 523551 [details]
strace of X process while using 100% CPU. fd 6 is /dev/tty2, fd 7 is /dev/vga-arbiter

Description of problem:

Sometimes X server uses 100% CPU time, and continues using it until the process is killed.

Version-Release number of selected component (if applicable):

xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64

Additional info:

KDE desktop on Fedora 15 (with latest updates). The problem started a few months ago. 

X might start using 100% CPU time even on minimal use (only one konsole open). 

Sometimes a day or two might go without the problem appearing and at other times it happens every few minutes.

When X starts to use 100% CPU, the following line appears in log file:

Sep 16 15:13:38 matan systemd[1]: getty@tty2.service holdoff time over, scheduling restart.

strace of X process while it is using 100% CPU is attached.

Comment 1 Matěj Cepl 2011-09-21 00:10:42 UTC
This seems like an obvious problem, but some more information about the context, could be helpful. Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log*; check with grep Backtrace /var/log/Xorg* which logs might be the most interesting ones, send us at least Xorg.0.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 2 Matan Ziv-Av 2011-09-21 09:46:44 UTC
Created attachment 524172 [details]
xorg.conf

Comment 3 John Horne 2012-01-19 23:45:11 UTC
I am seeing the same problem on my F15 PC. An strace shows similar output to that of the reporter, but mainly the 'select(256,...' and 'EIO' lines (didn't see many read/write lines at all).

I have rebooted with 'drm.debug=0x04' and will send the requested files when the problem occurs.

Comment 4 John Horne 2012-01-19 23:57:29 UTC
Created attachment 556421 [details]
Xorg.0.log file

Comment 5 John Horne 2012-01-19 23:58:43 UTC
Created attachment 556422 [details]
Output of the dmesg command

Comment 6 John Horne 2012-01-19 23:59:23 UTC
Created attachment 556423 [details]
xorg.conf file

Comment 7 John Horne 2012-01-20 00:00:30 UTC
Created attachment 556424 [details]
/etc/X11/xorg.conf.d/00-nvidia.conf file

Comment 8 John Horne 2012-01-20 00:01:23 UTC
Created attachment 556425 [details]
/etc/X11/xorg.conf.d/00-system-setup-keyboard.conf file

Comment 9 John Horne 2012-01-20 00:01:59 UTC
Created attachment 556426 [details]
/etc/X11/xorg.conf.d/local.x11.conf file

Comment 10 John Horne 2012-01-20 00:17:49 UTC
Created attachment 556428 [details]
/var/log/messages file

I had to chop the file down since bugzilla didn't like 40MB. It is now 3.7MB in size, but includes all the output for the day when I was doing this (19 Jan 2012).

Comment 11 John Horne 2012-01-20 00:24:52 UTC
Should have added kernel and xorg server rpm versions:

uname -a
Linux jhorne 2.6.41.4-1.fc15.x86_64 #1 SMP Tue Nov 29 11:53:48 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

rpm -q xorg-x11-server-xorg
xorg-x11-server-Xorg-1.10.4-1.fc15.x86_64

'top' command is currently showing:

====================================================
Tasks: 178 total,   2 running, 176 sleeping,   0 stopped,   0 zombie
Cpu(s):  5.8%us, 44.5%sy,  0.0%ni, 49.7%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:   7921400k total,  1932692k used,  5988708k free,    62132k buffers
Swap:  8388604k total,        0k used,  8388604k free,   680824k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                 
 2151 root      20   0  183m  35m 9084 R 100.3  0.5  39:43.26 X                      
 2611 john      20   0  591m  25m  16m S  0.3  0.3   0:09.54 konsole                 
    1 root      20   0 58116  25m 1888 S  0.0  0.3   0:04.54 systemd                 
    2 root      20   0     0    0    0 S  0.0  0.0   0:00.03 kthreadd
====================================================

As can be seen PID 2151 the 'X' server is using 100% CPU time.

Comment 12 John Horne 2012-01-20 00:25:52 UTC
Created attachment 556430 [details]
Some output from 'strace' of PID 2151

Comment 13 Jérôme Glisse 2012-01-20 00:47:12 UTC
John you are using closed source driver we can't help you.

Comment 14 Fedora End Of Life 2012-08-07 19:13:49 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.